import nodeResolve from "@rollup/plugin-node-resolve";
import cjs from "@rollup/plugin-commonjs";
import vue from "rollup-plugin-vue";
import replace from "@rollup/plugin-replace";
// import { terser } from "rollup-plugin-terser";
import styles from "rollup-plugin-styles";
// import typescript from "rollup-plugin-typescript2";
import html from "@rollup/plugin-html";

module.exports = {
  input: "index.js",
  output: {
    file: "build/app.js",
    format: "esm",
  },
  plugins: [
    vue({ css: false, }),
    nodeResolve(),
    styles(),
    // typescript({
      // tsconfig: false,
      // experimentalDecorators: true,
      // module: 'es2015'
    // }),
    cjs({ sourceMap: false }),
    replace({
      preventAssignment: true,
      "process.env.NODE_ENV": JSON.stringify("production"),
    }),
    html({ script: "app.js", }),
  ],
};
